JEIndexInput (Lucene 2.4.1 API)
Keywords: org.apache.lucene.store.je.JEIndexInput class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.store.je
Class JEIndexInput

    java.lang.Object
      org.apache.lucene.store.IndexInput
          org.apache.lucene.store.je.JEIndexInput

All Implemented Interfaces:
  Cloneable

    public class JEIndexInput

extends IndexInput

Port of Andi Vajda's DbDirectory to Java Edition of Berkeley Database

Field Summary
`protected Block` | `block`
`protected JEDirectory` | `directory`
`protected File` | `file`
`protected long` | `length`
`protected long` | `position`

Constructor Summary
`protected` | `JEIndexInput(JEDirectory directory, String name)`

Method Summary
`Object` | `clone()`
`void` | `close()`
`long` | `getFilePointer()`
`long` | `length()`
`byte` | `readByte()`
`void` | `readBytes(byte[] b, int offset, int len)`
`void` | `seek(long pos)`

Methods inherited from class org.apache.lucene.store.IndexInput
`readBytes, readChars, readInt, readLong, readString, readVInt, readVLong, setModifiedUTF8StringsMode, skipChars`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### position

    protected long position

### length

    protected long length

### directory

    protected JEDirectory directory

### block

    protected Block block

### file

    protected File file

Constructor Detail

### JEIndexInput

    protected JEIndexInput(JEDirectory directory,
                           String name)
                    throws IOException

Throws:
  `IOException`

Method Detail

### clone

    public Object clone()

  Overrides:
    `clone` in class `IndexInput`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in class `IndexInput`
  Throws:
    `IOException`

### length

    public long length()

  Specified by:
    `length` in class `IndexInput`

### readByte

    public byte readByte()
                  throws IOException

  Specified by:
    `readByte` in class `IndexInput`
  Throws:
    `IOException`

### readBytes

    public void readBytes(byte[] b,
                          int offset,
                          int len)
                   throws IOException

  Specified by:
    `readBytes` in class `IndexInput`
  Throws:
    `IOException`

### seek

    public void seek(long pos)
              throws IOException

  Specified by:
    `seek` in class `IndexInput`
  Throws:
    `IOException`

### getFilePointer

    public long getFilePointer()

  Specified by:
    `getFilePointer` in class `IndexInput`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.